/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.stat.views;

import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;

import benten.cat.stat.model.TmHitRateModel;
import benten.ui.views.TableLabelProvider;

/**
 * 
 * ★基本設計「翻訳ワークフロー支援機能: 翻訳統計取得機能: 翻訳メモリー・ヒット率ビュー」に対応します。
 */
public class TmHitRateView extends AbstractStatView {

	@Override
	protected void createTableViewer(TableViewer viewer) {
		final Table table = viewer.getTable();

		TableColumn resource = new TableColumn(table, SWT.LEFT);
		resource.setText("リソース");
		resource.setWidth(150);

		TableColumn match_100 = new TableColumn(table, SWT.RIGHT);
		match_100.setText("100%");
		match_100.setWidth(70);

		TableColumn match_95 = new TableColumn(table, SWT.RIGHT);
		match_95.setText(">= 95%");
		match_95.setWidth(70);

		TableColumn match_85 = new TableColumn(table, SWT.RIGHT);
		match_85.setText(">= 85%");
		match_85.setWidth(70);

		TableColumn match_75 = new TableColumn(table, SWT.RIGHT);
		match_75.setText(">= 75%");
		match_75.setWidth(70);

		TableColumn matchUnder_75 = new TableColumn(table, SWT.RIGHT);
		matchUnder_75.setText("< 75%");
		matchUnder_75.setWidth(70);

		viewer.setLabelProvider(new TableLabelProvider() {
			public String getColumnText(Object obj, int index) {
				TmHitRateModel entry = (TmHitRateModel) obj;
				switch (index) {
				case 0:
					return entry.getFile().toString();
				case 1:
					return String.valueOf(entry.getMatch100());
				case 2:
					return String.valueOf(entry.getMatch95());
				case 3:
					return String.valueOf(entry.getMatch85());
				case 4:
					return String.valueOf(entry.getMatch75());
				case 5:
					return String.valueOf(entry.getMatchUnder75());
				}
				return getText(obj);
			}
		});
	}
}
